Skip to content

GlxLate⁠

Perform various operations for Symitar parameters.

Operations⁠

getGlxLateSelectFields⁠

POST

Execute the persistent ParameterService getGlxLateSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlxLateGlCodeintegeroptional
GlxLateTypeListintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlxLateSelectFields
POST /nexum/627/persistent/parameter/getGlxLateSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlxLateGlCode": 0,
  "GlxLateTypeList": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true,
    "GlxLateFields": {
      "GlCode": true,
      "GlNumber": true,
      "GlSuffix": true,
      "TypeList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlxLatePagedListSelectFields⁠

POST

Execute the persistent ParameterService getGlxLatePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlxLatePagedListSelectFields
POST /nexum/627/persistent/parameter/getGlxLatePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true,
    "GlxLateFields": {
      "GlCode": true,
      "GlNumber": true,
      "GlSuffix": true,
      "TypeList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlxLatePagedSelectFields⁠

POST

Execute the persistent ParameterService searchGlxLatePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchGlxLatePagedSelectFields
POST /nexum/627/persistent/parameter/searchGlxLatePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true,
    "GlxLateFields": {
      "GlCode": true,
      "GlNumber": true,
      "GlSuffix": true,
      "TypeList": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlxLateByID⁠

POST

Execute the persistent ParameterService updateGlxLateByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlxLateGlCodeintegeroptional
GlxLateTypeListintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateGlxLateByID
POST /nexum/627/persistent/parameter/updateGlxLateByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlxLateGlCode": 0,
  "GlxLateTypeList": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "GlxLateFields": {
    "GlCode": 0,
    "GlNumber": "string",
    "GlSuffix": "string",
    "TypeList": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}